package com.ruoyi.project.pssr.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 检修项目-阀门对象 t_pssr_overhaul_valve
 *
 * @author ssy
 * @date 2024-09-23
 */
public class TPssrOverhaulValve extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 从表id */
    @Excel(name = "从表id")
    private Long subId;

    /** 审批id */
    @Excel(name = "审批id")
    private Long approveId;

    /** 升级改型更换/更换/维修 */
    @Excel(name = "升级改型更换/更换/维修")
    private String changeType;

    /** 连接形式 */
    @Excel(name = "连接形式")
    private String connectionForm;

    /** ITP */
    @Excel(name = "ITP")
    private String itp;

    /** 施工队 */
    @Excel(name = "施工队")
    private String constructionTeam;

    /** 项目 */
    @Excel(name = "项目")
    private String item;

    /** 装置 */
    @Excel(name = "装置")
    private String plant;

    /** 阀门位置 */
    @Excel(name = "阀门位置")
    private String valvePosition;

    /** 阀门信息描述 */
    @Excel(name = "阀门信息描述")
    private String vavleInfoDes;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private String pipeSize;

    /** 等级 */
    @Excel(name = "等级")
    private String valveClass;

    /** 需求数量 */
    @Excel(name = "需求数量")
    private String quantityRequired;

    /** 缺陷和常见故障 */
    @Excel(name = "缺陷和常见故障")
    private String faultCommon;

    /** 介质 */
    @Excel(name = "介质")
    private String medium;

    /** 图号 */
    @Excel(name = "图号")
    private String pidNo;

    /** 完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date doneDate;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirmerName;
    private String identifyingPerson;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;
    
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;
    private String confirm1Name;
    private String confirm2Name;
    private List<Long> fileIds;
    private List<TPssrFile> fileList;

    private String reason;
    
    private Long fileNum;

    public Long getFileNum() {
        return fileNum;
    }

    public void setFileNum(Long fileNum) {
        this.fileNum = fileNum;
    }

    private String completionStatus;

    public String getCompletionStatus() {
        return completionStatus;
    }

    public void setCompletionStatus(String completionStatus) {
        this.completionStatus = completionStatus;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public List<TPssrFile> getFileList() {
        return fileList;
    }

    public void setFileList(List<TPssrFile> fileList) {
        this.fileList = fileList;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public String getConfirm1Name() {
        return confirm1Name;
    }

    public void setConfirm1Name(String confirm1Name) {
        this.confirm1Name = confirm1Name;
    }

    public String getConfirm2Name() {
        return confirm2Name;
    }

    public void setConfirm2Name(String confirm2Name) {
        this.confirm2Name = confirm2Name;
    }

    private Long ids[];

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public String getConfirmerName() {
        return confirmerName;
    }

    public void setConfirmedName(String confirmerName) {
        this.confirmerName = confirmerName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSubId(Long subId)
    {
        this.subId = subId;
    }

    public Long getSubId()
    {
        return subId;
    }
    public void setApproveId(Long approveId)
    {
        this.approveId = approveId;
    }

    public Long getApproveId()
    {
        return approveId;
    }
    public void setChangeType(String changeType)
    {
        this.changeType = changeType;
    }

    public String getChangeType()
    {
        return changeType;
    }
    public void setConnectionForm(String connectionForm)
    {
        this.connectionForm = connectionForm;
    }

    public String getConnectionForm()
    {
        return connectionForm;
    }
    public void setItp(String itp)
    {
        this.itp = itp;
    }

    public String getItp()
    {
        return itp;
    }
    public void setConstructionTeam(String constructionTeam)
    {
        this.constructionTeam = constructionTeam;
    }

    public String getConstructionTeam()
    {
        return constructionTeam;
    }
    public void setItem(String item)
    {
        this.item = item;
    }

    public String getItem()
    {
        return item;
    }
    public void setPlant(String plant)
    {
        this.plant = plant;
    }

    public String getPlant()
    {
        return plant;
    }
    public void setValvePosition(String valvePosition)
    {
        this.valvePosition = valvePosition;
    }

    public String getValvePosition()
    {
        return valvePosition;
    }
    public void setVavleInfoDes(String vavleInfoDes)
    {
        this.vavleInfoDes = vavleInfoDes;
    }

    public String getVavleInfoDes()
    {
        return vavleInfoDes;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setPipeSize(String pipeSize)
    {
        this.pipeSize = pipeSize;
    }

    public String getPipeSize()
    {
        return pipeSize;
    }
    public void setValveClass(String valveClass)
    {
        this.valveClass = valveClass;
    }

    public String getValveClass()
    {
        return valveClass;
    }
    public void setQuantityRequired(String quantityRequired)
    {
        this.quantityRequired = quantityRequired;
    }

    public String getQuantityRequired()
    {
        return quantityRequired;
    }
    public void setFaultCommon(String faultCommon)
    {
        this.faultCommon = faultCommon;
    }

    public String getFaultCommon()
    {
        return faultCommon;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setPidNo(String pidNo)
    {
        this.pidNo = pidNo;
    }

    public String getPidNo()
    {
        return pidNo;
    }
    public void setDoneDate(Date doneDate)
    {
        this.doneDate = doneDate;
    }

    public Date getDoneDate()
    {
        return doneDate;
    }
    public void setIdentifyingPerson(String identifyingPerson)
    {
        this.identifyingPerson = identifyingPerson;
    }

    public String getIdentifyingPerson()
    {
        return identifyingPerson;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subId", getSubId())
            .append("approveId", getApproveId())
            .append("changeType", getChangeType())
            .append("connectionForm", getConnectionForm())
            .append("itp", getItp())
            .append("constructionTeam", getConstructionTeam())
            .append("item", getItem())
            .append("plant", getPlant())
            .append("valvePosition", getValvePosition())
            .append("vavleInfoDes", getVavleInfoDes())
            .append("type", getType())
            .append("pipeSize", getPipeSize())
            .append("valveClass", getValveClass())
            .append("quantityRequired", getQuantityRequired())
            .append("faultCommon", getFaultCommon())
            .append("medium", getMedium())
            .append("pidNo", getPidNo())
            .append("doneDate", getDoneDate())
            .append("identifyingPerson", getIdentifyingPerson())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .toString();
    }
}
